Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class FolderPathOptions

    java.lang.Object
      oracle.ifs.common.FolderPathOptions

All Implemented Interfaces:
  java.io.Serializable

    public class FolderPathOptions

extends java.lang.Object
implements java.io.Serializable

FolderPathOptions is a set of parameters that govern the behavior of `PublicObject.getAnyFolderPath()` and `PublicObject.getAllFolderPaths()` methods.

See Also:
  Serialized Form
(Published)

Field Summary
`static FolderPathOptions` | `EXCLUDE_ALL_LINKS` A value that can be used to indicate that neither Links nor FolderLinks should be considered when determining the set of legal folder paths to an object.
`static FolderPathOptions` | `INCLUDE_ALL_LINKS` A value that can be used to indicate that both Links and FolderLinks should be considered when determining the set of legal folder paths to an object.
`static FolderPathOptions` | `INCLUDE_FOLDERLINKS` A value that can be used to indicate that FolderLinks (but not regular Links) should be considered when determining the set of legal folder paths to an object.
`static FolderPathOptions` | `INCLUDE_LINKS` A value that can be used to indicate that Links (but not FolderLinks) should be considered when determining the set of legal folder paths to an object.

Method Summary
`boolean` | `includeFolderLinks()` Test if FolderLinks should be considered when determining the set of legal folder paths to an object.
`boolean` | `includeLinks()` Test if Links (not including FolderLinks) should be considered when determining the set of legal folder paths to an object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INCLUDE_ALL_LINKS

    public static final FolderPathOptions INCLUDE_ALL_LINKS

  Description copied from class: `FolderPathOptions`
  A value that can be used to indicate that both Links and FolderLinks should be considered when determining the set of legal folder paths to an object.

  (Published)

### INCLUDE_LINKS

    public static final FolderPathOptions INCLUDE_LINKS

  Description copied from class: `FolderPathOptions`
  A value that can be used to indicate that Links (but not FolderLinks) should be considered when determining the set of legal folder paths to an object.

  (Published)

### INCLUDE_FOLDERLINKS

    public static final FolderPathOptions INCLUDE_FOLDERLINKS

  Description copied from class: `FolderPathOptions`
  A value that can be used to indicate that FolderLinks (but not regular Links) should be considered when determining the set of legal folder paths to an object.

  (Published)

### EXCLUDE_ALL_LINKS

    public static final FolderPathOptions EXCLUDE_ALL_LINKS

  Description copied from class: `FolderPathOptions`
  A value that can be used to indicate that neither Links nor FolderLinks should be considered when determining the set of legal folder paths to an object.

  (Published)

Method Detail

### includeLinks

    public boolean includeLinks()

  Description copied from class: `FolderPathOptions`
  Test if Links (not including FolderLinks) should be considered when determining the set of legal folder paths to an object.

  Returns:
    true if Links are to be considered; false otherwise
  (Published)

### includeFolderLinks

    public boolean includeFolderLinks()

  Description copied from class: `FolderPathOptions`
  Test if FolderLinks should be considered when determining the set of legal folder paths to an object.

  Returns:
    true if FolderLinks are to be considered; false otherwise
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD